# qBittorrent

![Version: 0.4.1](https://img.shields.io/badge/Version-0.4.1-informational?style=flat)
![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat)
![AppVersion: version-5.0.3-r0](https://img.shields.io/badge/AppVersion-version--5.0.3--r0-informational?style=flat)

The qBittorrent project aims to provide an open-source software alternative to µTorrent.

**Homepage:** <https://charts.gabe565.com/charts/qbittorrent/>

**This chart is not maintained by the upstream project and any issues with the chart should be raised
[here](https://github.com/gabe565/charts/issues/new?assignees=gabe565&labels=bug&template=bug_report.yaml&name=qbittorrent&version=0.4.1)**

## Source Code

* <https://github.com/qbittorrent/qBittorrent>
* <https://github.com/linuxserver/docker-qbittorrent>

## Requirements

Kubernetes: `>=1.22.0-0`

## Dependencies

| Repository | Name | Version |
|------------|------|---------|
| <https://bjw-s.github.io/helm-charts> | common | 1.5.1 |

## Installing the Chart

To install the chart with the release name `qbittorrent`

### OCI (Recommended)

```console
helm install qbittorrent oci://ghcr.io/gabe565/charts/qbittorrent
```

### Traditional

```console
helm repo add gabe565 https://charts.gabe565.com
helm repo update
helm install qbittorrent gabe565/qbittorrent
```

## Uninstalling the Chart

To uninstall the `qbittorrent` deployment

```console
helm uninstall qbittorrent
```

The command removes all the Kubernetes components associated with the chart **including persistent volumes** and deletes the release.

## Configuration

Read through the [values.yaml](./values.yaml) file. It has several commented out suggested values.
Other values may be used from the [values.yaml](https://github.com/bjw-s/helm-charts/tree/a081de5/charts/library/common/values.yaml) from the [bjw-s common library](https://github.com/bjw-s/helm-charts/tree/a081de5/charts/library/common).

Specify each parameter using the `--set key=value[,key=value]` argument to `helm install`.

```console
helm install qbittorrent \
  --set env.TZ="America/New York" \
    gabe565/qbittorrent
```

Alternatively, a YAML file that specifies the values for the above parameters can be provided while installing the chart.

```console
helm install qbittorrent gabe565/qbittorrent -f values.yaml
```

## Custom configuration

### VueTorrent

[VueTorrent](https://github.com/WDaan/VueTorrent) is an alternative web UI for qBittorrent built with Vue.js.
This chart uses the LinuxServer.io qBittorrent image, so VueTorrent can be installed as a
[Docker mod](https://github.com/linuxserver/docker-mods).

1. Add [gabe565/linuxserver-mod-vuetorrent](https://github.com/gabe565/linuxserver-mod-vuetorrent) as a
Docker mod. In `values.yaml`:
    ```yaml
    env:
      DOCKER_MODS: ghcr.io/gabe565/linuxserver-mod-vuetorrent
    ```

2. (Optional) Add an `emptyDir` volume at `/vuetorrent`:
    ```yaml
    persistence:
      vuetorrent:
        enabled: true
        type: emptyDir
    ```

3. Upgrade the Helm chart with your changes.
4. Go to `Options` > `Web UI`
5. Check `Use alternative Web UI`
6. Set `Files location` to `/vuetorrent`
7. Scroll down and click `Save`.
8. Refresh

## Values

**Important**: When deploying an application Helm chart you can add more values from the bjw-s common library chart [here](https://github.com/bjw-s/helm-charts/tree/a081de5/charts/library/common)

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| env | object | See [values.yaml](./values.yaml) | environment variables. [[ref]](https://github.com/linuxserver/docker-qbittorrent#parameters) |
| env.TZ | string | `"UTC"` | Set the container timezone |
| image.pullPolicy | string | `"IfNotPresent"` | image pull policy |
| image.repository | string | `"ghcr.io/linuxserver/qbittorrent"` | image repository |
| image.tag | string | `"version-5.0.3-r0"` | image tag |
| ingress.main | object | See [values.yaml](./values.yaml) | Enable and configure ingress settings for the chart under this key. |
| persistence | object | See values.yaml | Configure persistence settings for the chart under this key. Set `enabled` to `true' to create persistant volumes for each of these. |
| service | object | See [values.yaml](./values.yaml) | Configures service settings for the chart. |

---
Autogenerated from chart metadata using [helm-docs](https://github.com/norwoodj/helm-docs)
